---
title: POS
layout: layouts/base_subject.njk
eleventyNavigation:
  key: POS
  order: 8
subelements: 4
---

<h2 id="links">Links</h2>

<h3 id="software">Software</h3>
<ul>
  <li>KDE Neon Linux-based VirtualBox image with all programming tools we need:
    <a href="https://lehrer.bulme.at/~sg/vms/progamming.ova">progamming.ova</a><br />
    Download with username: <kbd>student</kbd>, ask in class for the password<br />
    Login with username: <kbd>student</kbd>, password: <kbd>changeme</kbd></li>
  <li><a href="https://www.virtualbox.org/wiki/Downloads">VirtualBox</a></li>
  <li><a href="https://files.kde.org/neon/images/user/current/neon-user-current.iso">KDE Neon Linux ISO image</a></li>
  <li>Python for Windows: <a href="https://winpython.github.io/">WinPython</a> or
    <a href="https://www.anaconda.com/products/individual">Anaconda</a></li>
  <li>Text editor: <a href="https://vscodium.com/">VSCodium</a> or
    <a href="https://code.visualstudio.com/">Visual Studio Code</a></li>
</ul>

<h3 id="online_ides">Online IDEs</h3>
<ul>
  <li><a href="https://www.programiz.com/python-programming/online-compiler/">Programmiz</a></li>
  <li><a href="https://replit.com/">repl.it</a> (requires registration)</li>
</ul>

<h3 id="git">Git Hosting Platforms</h3>
<ul>
  <li><a href="https://github.com">GitHub</a></li>
  <li><a href="https://gitlab.com/">GitLab</a></li>
</ul>

<h3 id="games">Coding Games</h3>
<ul>
  <li><a href="https://turtleacademy.com/">Turtle Academy</a></li>
  <li><a href="https://codecombat.com/">Code Combat</a></li>
</ul>

<h3>Web Based Resources</h3>
<ul>
  <li><a href="http://docs.python.org/3/tutorial/index.html">The Python Tutorial</a></li>
  <li><a href="http://en.wikibooks.org/wiki/Non-Programmer%27s_Tutorial_for_Python_3">Non-Programmer's Tutorial for Python 3</a></li>
  <li><a href="http://docs.python.org/py3k/">Python Documentation</a></li>
  <li><a href="https://packaging.python.org/tutorials/packaging-projects/">Packaging Python Projects</a></li>
</ul>

<h3 id="books">Programming Books</h3>
<ul>
  <li><a href="http://programming.itcarlow.ie/index.html">Head First Programming: A learner's guide to programming using the Python language</a> (<a href="http://www.amazon.de/gp/product/0596802374/ref=as_li_ss_tl?ie=UTF8&amp;camp=1638&amp;creative=19454&amp;creativeASIN=0596802374&amp;linkCode=as2&amp;tag=findsantaeu-21">buy on Amazon</a>)</li>
  <li><a href="http://getpython3.com/diveintopython3/">Dive Into Python 3, 2nd edition</a> (<a href="http://www.amazon.de/gp/product/1430224150/ref=as_li_ss_tl?ie=UTF8&amp;camp=1638&amp;creative=19454&amp;creativeASIN=1430224150&amp;linkCode=as2&amp;tag=findsantaeu-21">buy on Amazon</a>)</li>
  <li><a href="http://python.itcarlow.ie/index.html">Head First Python</a>
    (<a href="http://www.amazon.de/gp/product/1449382673/ref=as_li_ss_tl?ie=UTF8&amp;camp=1638&amp;creative=19454&amp;creativeASIN=1449382673&amp;linkCode=as2&amp;tag=findsantaeu-21">buy on Amazon</a>)
  </li>
  <li>Python for Data Analysis: Data Wrangling with Pandas, NumPy, and IPython
    (<a href="http://www.amazon.de/gp/product/1449319793/ref=as_li_tl?ie=UTF8&amp;camp=1638&amp;creative=19454&amp;creativeASIN=1449319793&amp;linkCode=as2&amp;tag=findsantaeu-21&amp;linkId=DP3XJON365UK7X2C">buy on Amazon</a>)
  </li>
</ul>
